Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
io_internal_read_struct Struct Reference

## Data Fields
int | fd
int | nonblock
void * | buf
size_t | capa

## Detailed Description

Definition at line 995 of file io.c.

## Field Documentation

## ◆ buf

void* io_internal_read_struct::buf

Definition at line 998 of file io.c.

## ◆ capa

size_t io_internal_read_struct::capa

Definition at line 999 of file io.c.

## ◆ fd

int io_internal_read_struct::fd

Definition at line 996 of file io.c.

## ◆ nonblock

int io_internal_read_struct::nonblock

Definition at line 997 of file io.c.

The documentation for this struct was generated from the following file:

- io.c